cURL
curl --request GET \ --url https://{host}/api/v2/kubernetes/clusters/{clusterName}/automation \ --header 'Authorization: Bearer <token>'
{ "results": [ { "cluster": "<string>", "namespace": "<string>", "podOwnerName": "<string>", "podOwnerKind": "<string>", "container": "<string>", "entityId": "<string>", "containerId": "<string>", "avgContainerCount": 123, "currentCpuRequestmCores": 123, "currentCpuLimitmCores": 123, "currentMemRequestBytes": 123, "currentMemLimitBytes": 123, "recommendedCpuRequestmCores": 123, "recommendedCpuLimitmCores": 123, "recommendedMemRequestBytes": 123, "recommendedMemLimitBytes": 123, "estimatedSavingsPerContainer": 123, "analyzedOn": "2023-11-07T05:31:56Z", "kubexAutomation": true, "automationPolicy": true, "hpaMetricName": "<string>", "hpaMetricThreshold": "<string>", "predictedUptime": 123, "configLastChangedOn": "2023-11-07T05:31:56Z", "nodeGroup": "<string>", "oomKills_last7days": 123, "dateFirstAudited": "2023-11-07T05:31:56Z", "dateLastAudited": "2023-11-07T05:31:56Z" } ], "checksum": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The unique cluster name (from /kubernetes/clusters or Kubex UI Connections).
/kubernetes/clusters
Automation-enabled container recommendations for the cluster.
Show child attributes
Hash of the result set for change detection.